Get a spec file

View as Markdown
Gets the contents of an API specification's file.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

specIdstringRequired
The spec's ID.
filePathstringRequired
The path to the file.

Response

Successful Response
idstringOptional
The file's ID.
namestringOptional
The file's name.
pathstringOptional
The file's path.
createdByintegerOptional
The user ID of the user that created the file.
updatedByintegerOptional
The ID of the user who updated the file.
createdAtdatetimeOptional
The date and time at which the file was created.
updatedAtdatetimeOptional
The date and time at which the file was updated.
typeenumOptional

The type of file:

  • ROOT — A file containing the full OpenAPI structure and references other (DEFAULT) spec files.
  • DEFAULT — A file referenced by the ROOT file.
contentstringOptional
The file's stringified contents.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error